Package com.documentum.registry

# Interface IDfAppSupportDocumentInternal

All Known Implementing Classes:
  `DfAppSupportDocumentBaseInternal`

public interface IDfAppSupportDocumentInternal
represents registry information for an application support document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationName()`
  Returns the application name to which this application support document belongs.
  `String`
  `getDocbaseName()`
  Returns the Docbase name in which this application support document is present.
  `String`
  `getFilePath()`
  Returns the file path of the file corresponding to the application support document
  `Calendar`
  `getLastModified()`
  Returns the last modified date of the file corresponding to the application support document
  `IDfId`
  `getObjectId()`
  Returns the Docbase object Id of the application support document
  `String`
  `getUser()`
  Returns the docbase user who downloaded this application support document
  `int`
  `getVStamp()`
  Returns the Docbase vstamp of the application support document
  `void`
  `setFilePath(String file)`
  Sets the file path in the registry for the file corresponding to the application suport document
  `void`
  `setLastModified(Calendar timeStamp)`
  Sets in the registry the last modified date of the file corresponding to the application suport document
  `void`
  `setVStamp(int vStamp)`
  Sets the Docbase vstamp of the application support document

- ## Method Details

  - ### getObjectId

    IDfId getObjectId()
    Returns the Docbase object Id of the application support document
    Returns:
      the object ID of the application support document

  - ### getApplicationName

    String getApplicationName()
    Returns the application name to which this application support document belongs.
    Returns:
      the application name of the application support document

  - ### getVStamp

    int getVStamp()
    Returns the Docbase vstamp of the application support document
    Returns:
      the vstamp of the application support document

  - ### setVStamp

    void setVStamp(int vStamp)
    Sets the Docbase vstamp of the application support document

  - ### getUser

    String getUser()
    Returns the docbase user who downloaded this application support document
    Returns:
      the the docbase user who downloaded this application support document

  - ### getDocbaseName

    String getDocbaseName()
    Returns the Docbase name in which this application support document is present.
    Returns:
      the docbase name in which this application support document is present.

  - ### setFilePath

    void setFilePath(String file)
    Sets the file path in the registry for the file corresponding to the application suport document
    Parameters:
      `file` - the full file path of the application support document.

  - ### getFilePath

    String getFilePath()
    Returns the file path of the file corresponding to the application support document
    Returns:
      the file path of the file corresponding to the application support document

  - ### getLastModified

    Calendar getLastModified()
    Returns the last modified date of the file corresponding to the application support document
    Returns:
      the last modified date of the file corresponding to the application support document

  - ### setLastModified

    void setLastModified(Calendar timeStamp)
    Sets in the registry the last modified date of the file corresponding to the application suport document
    Parameters:
      `timeStamp` - the time stamp of the file corresponding to the application support document.